Participant APIs | REST

Selected Version:
Download Open API File

Returns a list of participant communications

https://api.wealthcare.com/participant/services/participant/communications/items/{tpaId}/{employerId}/{participantId}

Retrieve a list of communications for a specific participant, identified by their TPA ID, Employer ID, and Participant ID. This endpoint is useful for accessing various communication types, such as emails, SMS, and letters related to the participant.

Request

  • tpaId string Required

    A unique identifier used to identify your admin instance. This value is system generated when the admin instance was created.

  • employerId string Required

    Unique identifier for the employer. Note: When the employer was created, WealthCare Admin assigned the 3-character prefix; you assigned the remaining characters.

  • participantId string Required

    Unique identifier for the participant user whose feature information is being retrieved.

  • type string

    Specifies the type of communication to retrieve. Use "1" to return letter types; otherwise, non-letter types (Email and SMS) will be returned.

  • decrypt integer <int32>

    Indicate if the URI parameters are encrypted or not. Use 1 for encrypted, 0 for decrypted (default is 0). This affects how the API interprets the incoming identifiers.

  • showLetter string

    Determines whether to include letter communications in the response. Set to "1" to include letters, or "0" to exclude them.

Response

  • array <object>
    • CommHistKey integer <int64>

      Communication History Key (id)

    • CustTempType integer <int32>

      Custom Template Type - Enum CustomTemplateType (ie: Billing Address Change, Shipping Address Change)

    • CustTempName string

      Custom Template Name

    • CustTempKey integer <int32>

      Custom Template Key (id)

    • ChannelKey integer <int32>

      Channel Key - Enum CommunicationChannel (0 = None, 1 = Email, 2 = Mobile, 3 = Both, 4 = LetterCommunication, 8 = NotifyEmail, 16 = MailedLetter, 32 = SendEmailToTaxFormsAcctHolders)

    • FormatKey integer <int32>

      Format Key - Enum CommunicationFormat (1 = Text, 2 = HTML)

    • Subject string

      Email Subject Line

    • MobileNumber string

      Mobile Number

    • InsertDte string <date-time>

      Insert Date (DateTime)

    • UpdateDte string <date-time>

      Update Date (Nullable DateTime)

    • CommunicationType enum<string>

      Communication Type

      Possible values: Email SMS Letter
  • array <object>
    • CommHistKey integer <int64>

      Communication History Key (id)

    • CustTempType integer <int32>

      Custom Template Type - Enum CustomTemplateType (ie: Billing Address Change, Shipping Address Change)

    • CustTempName string

      Custom Template Name

    • CustTempKey integer <int32>

      Custom Template Key (id)

    • ChannelKey integer <int32>

      Channel Key - Enum CommunicationChannel (0 = None, 1 = Email, 2 = Mobile, 3 = Both, 4 = LetterCommunication, 8 = NotifyEmail, 16 = MailedLetter, 32 = SendEmailToTaxFormsAcctHolders)

    • FormatKey integer <int32>

      Format Key - Enum CommunicationFormat (1 = Text, 2 = HTML)

    • Subject string

      Email Subject Line

    • MobileNumber string

      Mobile Number

    • InsertDte string <date-time>

      Insert Date (DateTime)

    • UpdateDte string <date-time>

      Update Date (Nullable DateTime)

    • CommunicationType enum<string>

      Communication Type

      Possible values: Email SMS Letter
Response Headers
No response yet.
Response Body
No response yet.

AI Assistant Preview

Generating response...